<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  header ('Location: study.php?step=1');
}
else {
$page_title = 'Регистрация';
require_once('conf/head.php');
 ?>
<div style="border-left:1px solid #444e4f;border-right:1px solid #444e4f;">

<div style="background:#000000 url(/reg.png) repeat;">
 <div id="main">

<center>

  <div class="login">
 <?php
$query_num = "Select id from users where gruppa <> 'mytants' and gruppa <>'bandits' and gruppa <> 'zombie' and gruppa <> 'monolits'" ;
	$result_num = mysqli_query($dbc, $query_num) or die ('Ошибка передачи запроса к БД');
	$total = mysqli_num_rows($result_num); 
	?>
	<p><i><p class="bonus"><?php echo " $total "; ?>Воинов осваивают Мир!</p></i><b>
<p class="white"></p>
<div class="stats">
<?php
$err_login = abs(intval($_GET['err_login']));
  if (!empty($err_login)) { ?> <div id="error"><p>Для начала вам нужно пройти регистрацию или войти в свой профиль.</p></div><?php }
  if(isset($_POST['reg'])) {
  require_once('conf/dbc.php');
  ?>
  <div id="error">
  <?php
$nick = filter($_POST['nick']);
	echo "nick: ". $nick;
$group = filter($_POST['group']);
$sex = filter($_POST['sex']);
$pass = filter($_POST['pass']);
$repass = filter($_POST['repass']);
$code = filter($_POST['code']);
$mail = $_POST['mail'];
/* Проверка проверочного кода */
	if(@$_SESSION['code'] != $code)
	{
echo '</p><font color="red">Проверочный код введен не верно!</font><br/>';
$reg = 0;
	}

	$reg=1;
	$validNick = "[A-ZА-Яa-zа-я_-]{3,16}";
	$formail = '#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui';
	if ((empty($nick)) or (!isset($nick))){
	?>
	<p>Вы не ввели Имя</p>
	<?php
	$reg = 0;
	}
	else {
	$query = "Select id from users where nick = '$nick' limit 1";
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	$row = mysqli_fetch_array($result);
	if ($row != 0) {
	    ?>
	    <p>Такое Имя уже есть</p>
	    <?php
	    $reg = 0;
	  }
	$query = "Select id from `users` where `uip` = '".$_SERVER[REMOTE_ADDR]."' limit 1";
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	$row = mysqli_fetch_array($result);
	if ($row != 0) {
    ?>
	    <p>Не Пытайся Зарегистрировать еще одного персонажа! С Ув. Админ Алекс)!</p>
	    <?php
	    $reg = 0;
	  }
	  $long_nick = strlen($nick);
	  if (($long_nick<3) or ($long_nick>16)){
	    ?> <p>Имя должено быть в пределах от 3 до 16 символов</p>
	    <?php
	    $reg = 0;
	  }
      if(preg_match($validNick, $nick)) {
		?> 
		<p>Имя должено содержать только русские или английские буквы.</p>
	    <p>Или же в вашем Имени имеются запрещенные символы или цифры.</p>
	    <?php
        $reg = 0;
      }
    }
if ((isset($group)) and (!empty($group))) {
if (
($group != 'renegat') and 
($group != 'chistoenebo') and 
($group != 'dolg') and 
($group != 'naemniki') and 
($group != 'svoboda')) {
	?> 
		<p>Подмена данных</p>
	<?php
		$reg=0;
	  }
    }
	else {
	  ?> 
	  <p>Вы не выбрали Рассу</p>
	  <?php
	  $reg=0;
	}
    if ((isset($sex)) and (!empty($sex))) {
	  if (($sex != 'male') and ($sex != 'female')) {
	    ?> 
	    <p>Подмена данных</p>
	    <?php
	    $reg=0;
	  }
    }
	else {
	  ?> 
	  <p>Вы не выбрали пол</p>
	  <?php
	  $reg=0;
	}
    if ((isset($mail)) and (!empty($mail))) {
	  if (!preg_match($formail, $mail)) {
	  ?> 
	  <p>Неверный e-mail</p>
	  <?php
	  $reg=0;}	  
	  $query = "Select * from users where mail = '$mail'";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row != 0) {
	    ?>
	    <p>Такой e-mail уже есть</p>
	    <?php
	    $reg = 0;
	  }
    }
	else {
	  ?> 
	  <p>Вы не ввели e-mail</p>
	  <?php
	  $reg=0;
	}
      if ((isset($pass)) and (!empty($pass))) {
      if (strlen($pass)<3) {
	    ?> 
	    <p>Длина пароля меньше 3 символов</p>
	    <?php
        $reg = 0;
	  }
      if (strlen($pass)>16) {
	    ?> 
	    <p>Длина пароля превышает 16 символа</p>
	    <?php
        $reg = 0;
	  }
        if ((isset($repass)) and (!empty($repass))) {
        if (($repass) <> ($pass)) {
	      ?> 
	      <p>Пароли не совпадают</p>
	      <?php
          $reg = 0;
        }
      }
      else {
	    ?> 
	    <p>Вы не ввели подтверждение пароля</p>
	    <?php
	    $reg = 0;
	  }
    }
	else { 
	  ?> 
	  <p>Вы не ввели пароль</p>
	  <?php
	  $reg = 0;
	}

    if ($reg == 1) {
	  if ($sex == 'male') {
	    $avatar = '0_m.png';
	  }
	  else {
	    $avatar = '0_w.png';
	  }
        $nicks = strtr ($nick, 'АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯQWERTYUIOPASDFGHJKLZXCVBNM', 'абвгдеёжзийклмнопрстуфхцчшщъыьэюяqwertyuiopasdfghjklzxcvbnm');
$user_top = abs(intval($_SESSION['id']));
	  $salt = '';
  	  $length = rand(10,16);
                  for($i=0; $i<$length; $i++) {
                  $salt .= chr(rand(33,126)); 
      }
	  $pass = ($pass.$salt);
	  $nickcode = ($salt.$nicks.$salt);
	  $ip = getenv("REMOTE_ADDR");
	  $query = "select id_invite from invite where ip='$ip' limit 1";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  $id_inv = $row['id_invite'];
	  $query = "delete from invite where ip='$ip'";
    	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $query = "insert into users (`nick`, `nickcode`, `password`, `invite`, `salt`, `sex`, `gruppa`, `timereg`, `last_active`, `mail`, `avatar`, `location`) values ('$nick', sha( '$nickcode ' ), sha( '$pass' ), '$id_inv', '$salt', '$sex', '$group', now(), now(), '$mail', '$avatar', 'index')";
	  $result = mysqli_query($dbc, $query) or die ('Попробуйте обновить страницу');
	  $query = "Select id, nick from users where nick = '$nick'";
	  $result = mysqli_query($dbc, $query) or die ('Попробуйте обновить страницу');
	  $row = mysqli_fetch_array($result);
	  $user_id = $row['id'];	  
/*	  //1) Пистолет
	  $query_pist = "insert into things (`user_id`, `stat1`, `stat2`, `stat3`, `speed`, `sost`, `inf_id`,`privat`,`place`,`type`) values ('$user_id',350,350,72 ,6, '8', '1','1','2','0')";
	  $result_pist = mysqli_query($dbc, $query_pist) or die ('Попробуйте обновить страницу');
	  //2) Одежда
	  $query_cloth = "insert into things (`user_id`, `stat1`, `stat2`,`stat3`, `speed`,  `sost`, `inf_id`,`type`,`privat`,`place`) values ('$user_id','600', '600', '600', '3', '8', '1', '1', '1','0')";
	  $result_cloth = mysqli_query($dbc, $query_cloth) or die ('Попробуйте обновить страницу');
*/

	  $query_hp = "update users set habar = '200', hp = '600', max_hp = '600', t_hp = '600', bronya = '600', t_bron = '600', razriv_cl='600', sost_cl = '8', speed_p = '6', tochn_p = '350', radiation='3', safety_p= '72', sost_p = '8', t_sila = '600'  where id = '$user_id'";
	  $result_hp = mysqli_query($dbc, $query_hp) or die ('Попробуйте обновить страницу');

	  $_SESSION['id'] = $row['id'];
      $_SESSION['nick'] = $row['nick'];
	  ?>
	  <script type="text/javascript">
      document.location.href = "study.php?step=1";
      </script>
	  <?php
	  exit();
	} 
  }
$nickbot= filter($_POST['nick']);
$mailbot= filter($_POST['mail']);
$passbot= filter($_POST['pass']);
$repassbot= filter($_POST['repass']);
  ?>
</div>
<form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
<div class="stats">
  <label for="nick">Имя:</label><br />
<input type="text" class="input" style="width: 90%;" value="" name="nick" placeholder="Ник должен быть в пределах от 3 до 16 символов"/><br />
  <label for="group">Расса:</label><br />
  <select  style="width: 90%;" name="group" class="input" size="1">
    <option value="naemniki" <? if ($_POST['group'] == naemniki) {?>selected="selected"<?php }?>>Воины Ада</option>
    <option value="dolg" <? if ($_POST['group'] == dolg) {?>selected="selected"<?php }?>>Армия Тьмы</option>
    <option value="svoboda" <? if ($_POST['group'] == svoboda) {?>selected="selected"<?php }?>>Империя Людей</option>
  </select><br />
  <label for="sex">Пол:</label><br />
  <select  style="width: 90%;" name="sex" class="input"  size="1">
   <option value="male" <? if ($_POST['sex'] == male) {?>selected="selected"<?php }?>>Мужской</option>
   <option value="female" <? if ($_POST['sex'] == female) {?>selected="selected"<?php }?> >Женский</option>
  </select><br />
  <label for="mail">E-mail:</label><br />
  <input type="text" class="input" name="mail" value="<?php echo "$mailbot"; ?>"  style="width: 90%;" value="" placeholder="Для восстановления пароля"/><br />
  <label for="pass">Пароль:</label><br />
  <input type="password" class="input"  style="width: 90%;" name="pass" value="" placeholder="Пароль должен быть в пределах от 3 до 16 символов"/><br />
  <label for="repass">Повторите пароль:</label><br />
  <input type="password" class="input"  style="width: 90%;" name="repass" value="" placeholder="Введите повтор пароля"/>
<br/>введите большие цифры<br/><small>если вы не видете код, кликните по картинке</small>
<p><img src="captcha.php" onclick="this.src = 'captcha.php?' + Math.random();"/>
</p><input class="text" name="code" type="text" value="" /><br /></br>
  <input type="submit" class="input" value="Регистрация" name="reg"  accesskey="ы"/>
  </div>    </form><br/>
  <div style="background:#000000"> 

  <div class="login">
<p class="clothes">[Фактом регистрации вы принимаете<a href="accept.php"> соглашение </a> ]</p></div></center> 
  <div style="background:#000000"> <div class="px"></div>
    <div class="login">
<p class="bonus"><a href="login.php"><center> Уже зарегистрированы?</center></a></p><br/>
 <?php
 

}
mysqli_close($dbc);
  ?>

</body>
</html>